Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a short-lived download URL for a document.
cURL
curl --request GET \ --url https://api.squadvault.xyz/v1/documents/{documentId}/download \ --header 'x-api-key: <api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}}; fetch('https://api.squadvault.xyz/v1/documents/{documentId}/download', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.squadvault.xyz/v1/documents/{documentId}/download" headers = {"x-api-key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
200
Example
{ "downloadUrl": "<string>" }
Organization API key from Settings → API keys.
Presigned download URL
Was this page helpful?